function lgraph = DarknetFeatureExtractor(net, imageInputSize)
% la función DarknetFeatureExtractor elimina las capas desde 'res23'
% in Darknet-53 y cualquier normalización de datos en la capa de entrada

lgraph = layerGraph(net);

lgraph = removeLayers(lgraph, {'avg1' 'conv53' 'softmax' 'output' });
inputLayer = imageInputLayer(imageInputSize,'Normalization','none','Name','input');
lgraph = replaceLayer(lgraph,'input',inputLayer);
end

